#!/bin/bash
#
#      THE ARMADEUS PROJECT
#
#  Copyright (2006)  The source forge armadeus project team
#
# To build the different components, type:
# 
# > sh build.sh
# 
# To clean up:
# 
# > sh build clean



buildForEnvironment()
{


	echo
	echo "********** Building the application for $1 **********"
	echo
	echo  "********** QWT widgets **********"
	echo

	cd $QWTSRC
	rm 
	qmake -spec $QMAKESPEC qwt.pro
	if [ $? -ne 0 ]; then
		cd -;
		exit -1;
	fi	
	make  $2

	cd -

	if   [ ! -d Lib/$OUTPUT_DIR ]; then
		mkdir Lib/$OUTPUT_DIR
	fi	
	mv  $QWTSRC/lib/libqwt.a Lib/$OUTPUT_DIR/libqwt.a

	echo
	echo  "********** Application temp **********"
	echo

	qmake  -spec $QMAKESPEC temp.pro
	mv Makefile Makefile.$OUTPUT_DIR
	
	if [ $? -ne 0 ]; then
		
		exit -1;
	fi
	make -f Makefile.$OUTPUT_DIR  $2
	
}

#-----------------------------------------------------------------------------------------------------------

# build for embedded
####################

export INITIALPATH=$PATH
#define installation path of qtopia here
export QTDIR=/home/demo/demos/Buitinqt/buildroot/build_arm/qtopia-core-opensource-src-4.3.1/
export QWTSRC=qwt-5.0.2
export OUTPUT_DIR=apf
export QMAKESPEC=`pwd`/linux-arm-g++


buildForEnvironment "Apf board" $1

#-----------------------------------------------------------------------------------------------------------


exit 0
