#include <qwt_plot.h>
#include "temp.h"

#define HISTORY 600 // seconds


class QwtPlotCurve;
class SENSeOR_DLL;

class FreqPlot : public QwtPlot 
{
    Q_OBJECT
public:
    enum CpuData
    {
        User,

        NCpuData
    };

    FreqPlot( int sensor = 0, int type = 0 );
    const QwtPlotCurve *freqCurve(int id) const
        { return data[id].curve; }
	QTime upTime() const;


private slots:
	void showCurve(QwtPlotItem *, bool on);
	void timerEvent();

private:
    struct
    {
        QwtPlotCurve *curve;
        double data[HISTORY];
    } data[NCpuData];
    double timeData[HISTORY];

    int dataCount;
	int sensorX;
	int typeX;
	QTimer *refreshTimer;
};
