#include <QtGui>
#include <iostream>
#include "temp.h"
#include "qextserialport.h"
#include "freqplot.h"

QextSerialPort port;
QList<double> Temp::temperature;

Temp::Temp()
{	
    centralWidget = new QWidget;
    setCentralWidget(centralWidget);

	receiveTimer = new QTimer();
	connect(receiveTimer, SIGNAL(timeout()), SLOT(ReceiveTemp()));
      receiveTimer->start(200);

	mainLayout = new QGridLayout;
	FreqPlot *plot1 = new FreqPlot(0,0);
    plot1->setTitle("Temperature");
    plot1->setMargin(5);
	mainLayout->addWidget(plot1,0 ,0 );
	centralWidget->setLayout(mainLayout);
	
	setWindowTitle(tr("jmf-temp"));
}

Temp::~Temp()
{
	//nop
}


void Temp::openPort()
{
	QString portSerie;
#ifdef Q_OS_WIN
	portSerie = "COM5";

#elif _TTY_ARMADEUS_
    	portSerie="/dev/ttySMX1";
#else
	portSerie = "/dev/ttyUSB0";
#endif

	port.setPortName(portSerie);
	port.open( QIODevice::ReadOnly );
    if(  port.isOpen( ) )
    {
		port.setFlowControl(FLOW_OFF);
		port.setParity(PAR_NONE);
		port.setDataBits(DATA_8);
		port.setStopBits(STOP_1);
		port.setBaudRate(BAUD9600);
	}
}

void Temp::ReceiveTemp()
{

	if( port.isOpen() )
	{
		int numBytes = port.bytesAvailable();
		if(numBytes > 20) {
			if(numBytes > 20) numBytes = 20;
			char buff[20];
			qint64 lineLength = port.readLine(buff, sizeof(buff));
			QString paquet = buff;
			QStringList l;
			l = paquet.split(' ');
			bool ok = false;
			double d = l[1].toInt(&ok,16);	
			d = d/12;
			double celcius = (((float) d )/4096 * 1.5 - 0.986)/0.00355;
			std::cout<<d<<"  "<<celcius<<std::endl;
			temperature<<celcius;
		}
    	}
	else
	{
		openPort();
	}
}
