#ifndef QSERIALPORTTOOLS_H
#define QSERIALPORTTOOLS_H

#include <QString>
#include <QWidget>
#include <QIODevice>
#include "qextserialport.h"

class QComboBox;
class QGridLayout;
class QPushButton;
class QIODevice;
class QSerialPortTools : public QWidget
{
	Q_OBJECT

	public:
		QSerialPortTools(QextSerialPort &defaultConfig, QextSerialPort &portConfig);
		~QSerialPortTools();
		QextSerialPort defaultSettings;
		bool connectPort(QextSerialPort &port,QIODevice::OpenMode mode );
		void disconnectPort(QextSerialPort &port);
		bool portReady(QextSerialPort &port);

	public slots:
		void testAllPort();
		void setDefaultSettings();
		void applySettings();
		void cancel();
		void ok();

	private:
		QWidget *centralConfigWidget;
		void completeData();
		QComboBox *portComboBox;
		QComboBox *baudRateComboBox;
		QComboBox *dataBitsTypeComboBox;
		QComboBox *parityTypeComboBox;
		QComboBox *stopBitsTypeComboBox;
		QComboBox *flowTypeComboBox;
		QGridLayout *gridLayout;	
		
		QPushButton *scanPortButton;
		QPushButton *setDefaultButton;
		QPushButton *cancelButton;
		QPushButton *applyButton;
		QPushButton *okButton;

		QList<QPair<QString , BaudRateType> > baudrate;
		QList<QPair<QString , DataBitsType> > databitstype;
		QList<QPair<QString , ParityType> > paritytype;
		QList<QPair<QString , StopBitsType> > stopbitstype;
		QList<QPair<QString , FlowType> > flowtype;
};

#endif
